/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * Normally the prototype for _trusty_brk would be found in the autogenerated
 * trusty_syscalls.h header. This header is currently an implementation detail
 * of libc, however, and not exported for use by other libraries. Exposing
 * this header would require non-trivial build system changes. Since this test
 * will likely get folded into libc in the future, we declare _trusty_brk here
 * instead of exposing the autogenerated header.
 *
 * Keep in mind that if the signature for _trusty_brk changes, it must be
 * updated here as well, otherwise this test will call _trusty_brk with the
 * wrong arguments and the linker will not catch this.
 */

#ifdef __cplusplus
extern "C" {
#endif

void* _trusty_brk(void* brk);

#ifdef __cplusplus
}
#endif
